# Class Time

A representation of a specific time with no date component.

Expects the time to be a string that looks like: `13:03:20`.

#####
Index

### Constructors

constructor

### Accessors

isValid

### Methods

toDate
toString

##
Constructors

### constructor

- new Time(time): Time

- Creates an instance of Time.

  #### Parameters

  - time: string | Date

    The time in the format `13:03:20`.

  #### Returns Time

##
Accessors

### isValid

- get isValid(): boolean

- #### Returns boolean

##
Methods

### toDate

- toDate(): Date

- Returns a Date with the date portion set to the current date based on the current local date and the time set to the time of this Time instance.

  #### Returns Date

### toString

- toString(): string

- #### Returns string